/*
 * @author Ranides Atterwim {@literal <ranides@gmail.com>}
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.reflection;

/**
 * This exception is thrown by ResolvePattern methods
 *
 * @author Ranides Atterwim {@literal <ranides@gmail.com>}
 */
public class ResolveException extends IllegalArgumentException {

    /**
     * Constructs new ResolveException
     *
     * @param message message
     */
    public ResolveException(String message) {
        super(message);
    }

    /**
     * Constructs new ResolveException
     *
     * @param cause cause
     */
    public ResolveException(Throwable cause) {
        super(cause);
    }
    
}
